Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Section_Key_Internal Class Reference

`#include <Configuration.h>`

Inheritance diagram for ACE_Section_Key_Internal:

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Section_Key_Internal (void)
| Virtual destructor, make sure descendants are virtual!
virtual int | add_ref (void)
| Increment reference count.
virtual int | dec_ref (void)
| Decrement reference count. Will delete this if count gets to 0.
## Protected Methods
| ACE_Section_Key_Internal (void)
| ACE_Section_Key_Internal (const ACE_Section_Key_Internal &rhs)
ACE_Section_Key_Internal & | operator= (ACE_Section_Key_Internal &rhs)
## Protected Attributes
u_int | ref_count_

## Constructor & Destructor Documentation

ACE_Section_Key_Internal::~ACE_Section_Key_Internal | ( | void |  | ) | `[virtual]`

| Virtual destructor, make sure descendants are virtual!

ACE_Section_Key_Internal::ACE_Section_Key_Internal | ( | void |  | ) | `[protected]`

ACE_Section_Key_Internal::ACE_Section_Key_Internal | ( | const ACE_Section_Key_Internal & | rhs | ) | `[protected]`

## Member Function Documentation

int ACE_Section_Key_Internal::add_ref | ( | void |  | ) | `[virtual]`

| Increment reference count.

int ACE_Section_Key_Internal::dec_ref | ( | void |  | ) | `[virtual]`

| Decrement reference count. Will delete this if count gets to 0.

ACE_Section_Key_Internal& ACE_Section_Key_Internal::operator= | ( | ACE_Section_Key_Internal & | rhs | ) | `[protected]`

## Member Data Documentation

u_int ACE_Section_Key_Internal::ref_count_`[protected]`

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Configuration.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Configuration.cpp